=== debian/changelog ===
eprover (3.2.5+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 18 Oct 2024 23:03:46 +0200
