=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	# not an autotools build system!
	cp Makefile.vars Makefile.vars.orig

override_dh_auto_build:
	./configure --prefix=debian/tmp
	make rebuild
	make man

override_dh_auto_clean:
	dh_auto_clean
	find . -name Makefile.dependencies -delete
	find . -name "*.1" -delete
	if test -f Makefile.vars.orig; then \
		mv Makefile.vars.orig Makefile.vars; \
	fi
